## prog.io.menuTesto
Class VoceMenu

    java.lang.Object
      prog.io.menuTesto.VoceMenu

    public class VoceMenu

extends java.lang.Object

Modella una voce del menu.

Version:
  2.0
Author:
  Mauro Ferrari, Giovanni Pighizzini

Constructor Summary
`VoceMenu(char scelta, java.lang.String descrizione)` Crea un voce del menu che utilizza il carattere di scelta specificato come argomento e con la descrizione specificata come secondo argomento.

Method Summary
`char` `getCarattereScelta()` Restituisce il carattere di scelta associato alla voce del menu.
`java.lang.String` `getDescrizione()` Restituisce il messaggio associato alla voce del menu.
`java.lang.String` `toString()` La stringa che descrive la voce del menu.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VoceMenu

    public VoceMenu(char scelta,
                    java.lang.String descrizione)

  Crea un voce del menu che utilizza il carattere di scelta specificato come argomento e con la descrizione specificata come secondo argomento.

  Parameters:
    `scelta` - il carattere per selezionare la voce del menu.
    `descrizione` - la descrizione della voce del menu.

Method Detail

### getDescrizione

    public java.lang.String getDescrizione()

  Restituisce il messaggio associato alla voce del menu.

  Returns:
    la stringa che descrive la voce del menu.

### getCarattereScelta

    public char getCarattereScelta()

  Restituisce il carattere di scelta associato alla voce del menu.

  Returns:
    il carattere di scelta.

### toString

    public java.lang.String toString()

  La stringa che descrive la voce del menu.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    la descrizione della voce del menu.